function [data, D, A, b, c ] = preProcess( fileName )
% reads global parameters and production data from EXCEL-file
% EXCEL-file has sheets 
% - "global" for global prameers and 
% - "records" for production records
%(- "simulation" for data-simulation only)

%% read EXCEL-file "fileName"
% read duration of one mahine-shift
D = xlsread(strcat('./',fileName),'global');

% read number of workpieces produced per shift
data = xlsread(strcat('./',fileName),'records');
% add number of set-ups per shift
for shift = 1 : length(data)
    if min(data(shift,2:3)) == 0
        % only "a" or "b" made during that shift
        data(shift,4) = 1;
    else
        % made "a" and "b" during that shift
        data(shift,4) = 2;   
    end
end

%% accumulate elements of system matrices
% declare zero-matrices to fill
A = zeros(3,3);
b = zeros(3,1);
c = 0;

% add matrix elements er shift (see TTM: LA01)
for shift = 1 : length(data)
    A = A + 2*transpose(data(shift,2:4))*data(shift,2:4);
    b = b - 2*D*transpose(data(shift,2:4));
    c = c + D^2;
end




end

