% MATLAB script                                         %
% version: wxMaxima R2015a                              %
% author: Andreas Baumgart                              %
% last updated: 2018-11-01                              %
% elfe-platform.atlassian.net/wiki/spaces/TTM/pages/821362915/LA01 %
% description: find best statistical production         %
%              durations for                            %
%              workpiece "a", "b" and setup-time        %
% ***************************************************** %

% look in "Functions" for functions
addpath('Functions');
    
%% Step 1: Pre-Process                                  %
% read from file
fileName = 'records.xlsx';
[data, D, A, b, c] = preProcess(fileName);

%% Step 2: Solve                                        %
t = linsolve(A,-b);

%% Step 3: Post-Process 
postProcess(data, D, t);

%% END                                                  %